/*
 * This file is part of Easy Answer.
 *
 * Copyright (C) 2012 Digia Plc
 *
 * Easy Answer is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License version 2.1 as published by the Free Software Foundation.
 *
 * Easy Answer is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with Easy Answer; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
 * MA 02110-1301 USA
 */

import QtQuick 1.1
import com.nokia.meego 1.0

import "UIConstants.js" as UI

Item {
    id: groupHeader
    anchors.left: parent.left
    anchors.right: parent.right
    height: titleLabel.height

    property string text

    Image {
        anchors.left: parent.left
        anchors.right: titleLabel.left
        anchors.rightMargin: UI.DEFAULT_MARGIN
        anchors.verticalCenter: parent.verticalCenter
        source: "image://theme/meegotouch-groupheader-background"
    }

    Label {
        id: titleLabel
        anchors.right: parent.right
        anchors.verticalCenter: parent.verticalCenter
        font.bold: true
        font.pixelSize: 18
        color: "#8C8C8C"
        text: groupHeader.text
    }
}
